import urllib2

from urllib import urlencode
from urllib2 import URLError, HTTPError

#Replace these parameters with your service specific parameters
service_id = "example.com"
application_id = "com.example"
service_secret = "secretkey"

#Recipient of the notification
nid = <NID>

#This example uses the nokia account id for pushing the notification
url = "https://alpha.one.ovi.com/nnapi/1.0/nid/"
url += quote_plus(nid)

https_handler = urllib2.HTTPSHandler()
auth_handler = urllib2.HTTPDigestAuthHandler() 
auth_handler.add_password("null", url, service_id, service_secret)

opener = urllib2.build_opener(https_handler, auth_handler)
urllib2.install_opener(opener)

data = {"payload":"Test Notification from REST API", "wakeup":"true"}
try:
	f = urllib2.urlopen(url, urlencode(data))
except HTTPError, e:
	print "HTTP Error: " + str(e.code)	
except URLError, e:
	print "URL Error: " + str(e.reason)
else:
	response = f.read()
	status_code = f.getCode()

	#If response is empty it means that the recipient application is unreachable. See the HTTP status code to check the reason.
	if response == "":		
		print "Error: Application not reachable. Received HTTP status code " + str(status_code)
	else:
		print response + " Received HTTP status code " + str(status_code)
	f.close()